org.restlet.engine.io

## Class NbChannelInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.restlet.engine.io.NbChannelInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class NbChannelInputStream
    extends java.io.InputStream

Input stream connected to a non-blocking readable channel.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`NbChannelInputStream(java.nio.channels.ReadableByteChannel channel)` Constructor.

### Method Summary

Methods
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`available, close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NbChannelInputStream

    public NbChannelInputStream(java.nio.channels.ReadableByteChannel channel)

Constructor.

Parameters:
  `channel` - The channel to read from.

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`